package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.AliasServico;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface AliasServicoService{

	  public List<AliasServico> obtenerTodos();

	    public AliasServico obtenerID(Integer id);

	    public AliasServico suscribirActualizar(AliasServico entidad) throws BusinessException;

	    public void borrar(AliasServico entidad);
	    
	    public List<AliasServico> buscarPorLinhaEmpresa(List<Ruta> linhas, List<Empresa> empresas, List<ClaseServicio> tiposClasses, List<OrgaoConcedente> orgaos, String prefixo);
	    
	    public AliasServico existe(Parada origem, Parada destino, Ruta linha, Integer idCorrida);

		List<AliasServico> buscarPorRuta(Integer rutaId);
}
